Page MenuHomePhabricator

Sort out scope/confusion between #Possible-Tech-Projects and #Outreach-Programs-Projects tags
Closed, ResolvedPublic

Description

As per emails in 02-03/2018 between James Hare, Srishti and me.

This task is about Possible-Tech-Projects vs. Outreach-Programs-Projects
This task is not about MediaWiki-extension-requests vs. Technical-Tool-Request - see T198102 instead.

@Aklapper's opinion / understanding:

  • Outreach-Programs-Projects and Possible-Tech-Projects should be merged. Both scopes are basically "a task on this workboard should take a newcomer about 3 months".
  • The workboard can be used to track the 'readyness' of a task, if it's in a state that we can offer it to a contributor (mentors defined and available? scope / MVP clarified?)
  • If we agree on merging, we need to go through the tasks in Possible-Tech-Projects and make sure their scope is really suited for Outreach-Programs-Projects. Remove the Possible-Tech-Projects tag from tasks which will not "take a newcomer about 3 months". If the scope is well defined and ready to draw volunteers, add the patch-welcome tag instead. Additionally, if in scope and a way smaller task, add the good first bug tag (but see its project description).
  • Outreach-Programs-Projects will only contain projects suitable for GSoC / Outreachy.
  • As I dislike the overloaded term "project" ("My 3 month 'project' is to change code in an existing software 'project'"), I'd drop the suffix and rename #Outreach-programs-projectsto #Outreach-programs, as specific tags like #Outreachy_(Round_99) exist already if needed. (If we ever need to track administrative tasks, set up a workboard column on #Outreach-programs or a separate #Outreach-programs-organization project.)
  • Possible-Tech-Projects task which are not ready to be advertised they could be in a [default] column on the workboard which could be named like "Not ready/available yet".
  • Check project descriptions of Possible-Tech-Projects , Outreach-Programs-Projects , MediaWiki-extension-requests , Technical-Tool-Request and update/correct if needed.

Furthermore, it confuses me that Possible-Tech-Projects has a column called "Featured for GSoC'18/Outreachy'16" while Outreach-Programs-Projects has columns like "Google Summer of Code 2017 + Outreachy Round 14 (featured)" IMHO "Featured for GSoC'18/Outreachy'16" should really be a column on the Outreach-Programs-Projects board instead. Another reason why I propose merging Possible-Tech-Projects and Outreach-Programs-Projects into one project with the scope of "tasks should take a student 3 months, with mentors intended to be available".)

Event Timeline

Aklapper created this task.Jun 25 2018, 1:38 PM
Aklapper updated the task description. (Show Details)
bd808 added a subscriber: bd808.Jun 27 2018, 3:42 PM
Vvjjkkii renamed this task from Sort out scope/confusion between #Possible-Tech-Projects and #Outreach-Programs-Projects tags to icaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed Aklapper as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from icaaaaaaaa to Sort out scope/confusion between #Possible-Tech-Projects and #Outreach-Programs-Projects tags.Jul 2 2018, 10:09 AM
CommunityTechBot assigned this task to Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

This approach sounds good to me! I've started cleaning up the Outreach-Programs-Projects and Possible-Tech-Projects workboard!

Thank you a lot, Srishti!!
Done:

@srishakatux: To do, IMHO:

  • The workboard of Outreach-Programs-Projects confuses me: There are open tasks in a GSoc2017/Outreachy14 column and that timeframe ended nearly a year ago. I think there should not be any open tasks and that column should be archived? Same for one task in the Outreachy 15 column?
  • Should the default workboard column "Backlog" be renamed to "Not ready/available yet"?
    • Should a new workboard column be created between "Backlog" and any 'round/year XYZ' column, called something like "Ready (Mentors + MVP)" or "To be scheduled" or something like that (what)? Really depends on the workflow that you prefer to track tasks that should in theory be available for the next round of something...
Aklapper triaged this task as Normal priority.Jul 17 2018, 12:36 PM
Aklapper moved this task from Incoming to Projects to archive on the Project-Admins board.
Aklapper reassigned this task from Aklapper to srishakatux.Jul 31 2018, 5:21 PM

Reassigning to @srishakatux as I cannot solve T198101#4430365 by myself...

@Aklapper About that one task under 'GSoC 2017 / Outreachy 14' column, yes there is some work left but mostly for mentors at this point, code review, fix some things and then merge the changes. So, we cannot move that task right now.

I think that it is okay to have all tasks in the Backlog column. Very soon I will be hunting projects for Outreachy Round 17 and then can do some sorting then.

Other then that, I think we are pretty much done on this task..

Also, should we share about this on any of our mailing lists for awareness?

Also, should we share about this on any of our mailing lists for awareness?

@srishakatux: Share.... what exactly? (If you go to Possible-Tech-Projects you now get the project description as default, not the empty workboard. But not sure if that's related to your question.)

Aklapper closed this task as Resolved.Aug 1 2018, 6:09 AM

Other then that, I think we are pretty much done on this task..

Alright! :) Closing task.